Subject: Re: [i2rs] [irs-discuss] IRS and I2AEX BoF

From: Songhaibin <[email-masked]>
Date: Wed, 21 Nov 2012 09:03:04 +0000

Hi Vijay,

I attended both the i2aex BOF and the IRS BOF, I think many people joined both of them as me. I feel that in ALTO WG, we discussed extracting of the network topology (especially routing information) to ALTO server long time ago, and the network topology will be combined together with the policy info to calculate a cost map for ALTO. So IMO, ALTO might be a very good place for developing an extension of extracting network topology info.

My 2 cents,
-Haibin

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Vijay K. Gurbani
> Sent: Monday, November 12, 2012 11:23 PM
> To: [email-masked]
> Subject: [irs-discuss] IRS and I2AEX BoF
> 
> All: During the discussion in Atlanta, I had pointed to some
> overlap between IRS and a BoF held in Paris called i2aex (Infrastructure
> to Application Information Exchange).  i2aex maintains that the
> network infrastructure has volumnious amount of information that is
> disseminated among the network infrastructure entities using many
> existing protocols: BGP, IGP, netflow, CLI/SSH, SNMP, etc.  Applications
> running outside the network infrastructure (or even in the network
> infrastructure) would likely benefit from this information.  So, the
> question is: in a fully- and partially-controlled environments,
> how do we disseminate this information to the applications?
> Do we need a new protocol for this?  Can we extend ALTO since a lot
> of the requirements for this work came into the ALTO WG initially?
> 
> To some extent (modulo whether ALTO can be a candidate protocol), the
> above captures the essence of slide 3 in [1].
> 
> We had a good discussion that may have some bearing on IRS.  For folks
> who are interested, the slides and chunked audio stream (i.e., audio
> stream corresponding to each agenda item discussion) is at [2].  i2aex
> met as a non-WG forming BoF as well in Paris and concluded after having
> met its objective in winnowing down the set of potential protocols that
> could serve as an i2aex interface [3].
> 
> I understand that IRS is not looking for a specific protocol right now,
> but some of what was discussed during i2aex may be of interest to the
> IRS folks.
> 
> Please let me and Spencer Dawkins (co-chairs of i2aex BoF) know if you
> have any specific questions.
> 
> [1] http://www.ietf.org/proceedings/85/slides/slides-85-irs-1.pptx
> [2] http://www.ietf.org/proceedings/83/minutes/minutes-83-i2aex.html
> [3] http://www.ietf.org/mail-archive/web/altoext/current/msg00083.html
> 
> Thanks,
> 
> - vijay
> --
> Vijay K. Gurbani, Bell Laboratories, Alcatel-Lucent
> 1960 Lucent Lane, Rm. 9C-533, Naperville, Illinois 60563 (USA)
> Email: vkg@{bell-labs.com,acm.org} / [email-masked]
> Web:   http://ect.bell-labs.com/who/vkg/
> _______________________________________________
> irs-discuss mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/irs-discuss